package com.bonus.canteen.core.allocation.canteen.model;

import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenDeliveryModel;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenOrderDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocStallSaveDTO;
import com.bonus.canteen.core.menu.model.AllocMealtimeModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.List;

@ApiModel("档口新增/修改Model")
public class AllocStallModel {
   @ApiModelProperty(
      value = "档口保存DTO",
      required = true
   )
   protected @Valid AllocStallSaveDTO stallSaveDTO;
   @ApiModelProperty("配送设置DTO")
   protected AllocCanteenDeliveryModel deliveryModel;
   @ApiModelProperty("点餐设置DTO")
   protected AllocCanteenOrderDTO orderDTO;
   @ApiModelProperty("餐次列表")
   protected List<AllocMealtimeModel> mealtimeList;

   public AllocStallSaveDTO getStallSaveDTO() {
      return this.stallSaveDTO;
   }

   public AllocCanteenDeliveryModel getDeliveryModel() {
      return this.deliveryModel;
   }

   public AllocCanteenOrderDTO getOrderDTO() {
      return this.orderDTO;
   }

   public List<AllocMealtimeModel> getMealtimeList() {
      return this.mealtimeList;
   }

   public void setStallSaveDTO(final AllocStallSaveDTO stallSaveDTO) {
      this.stallSaveDTO = stallSaveDTO;
   }

   public void setDeliveryModel(final AllocCanteenDeliveryModel deliveryModel) {
      this.deliveryModel = deliveryModel;
   }

   public void setOrderDTO(final AllocCanteenOrderDTO orderDTO) {
      this.orderDTO = orderDTO;
   }

   public void setMealtimeList(final List<AllocMealtimeModel> mealtimeList) {
      this.mealtimeList = mealtimeList;
   }

}
